FLANG

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::characteristics::DummyArgument Struct Reference

## Public Member Functions
| DummyArgument (std::string &&name, DummyDataObject &&x)
| DummyArgument (std::string &&name, DummyProcedure &&x)
| DummyArgument (AlternateReturn &&x)
bool | operator== (const DummyArgument &) const
bool | operator!= (const DummyArgument &that) const
bool | IsOptional () const
void | SetOptional (bool=true)
bool | CanBePassedViaImplicitInterface () const
llvm::raw_ostream & | Dump (llvm::raw_ostream &) const

## Static Public Member Functions
static std::optional< DummyArgument > | Characterize (const semantics::Symbol &, const IntrinsicProcTable &)
static std::optional< DummyArgument > | FromActual (std::string &&, const Expr< SomeType > &, FoldingContext &)

## Public Attributes
std::string | name
bool | pass {false}
std::variant< DummyDataObject, DummyProcedure, AlternateReturn > | u

The documentation for this struct was generated from the following files:

- include/flang/Evaluate/characteristics.h
- lib/Evaluate/characteristics.cpp